<!DOCTYPE HTML>
<!--
	RFE NEW SITE
	Strata by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
	<head>
		<title>Radio Free Elsewhere</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />

		<meta name="description" content="Something different. Somewhere else.">

		<!-- Facebook Meta Tags -->
		<meta property="og:url" content="https://cyberpunklibrarian.nohost.me/rfe/">
		<meta property="og:type" content="website">
		<meta property="og:title" content="Radio Free Elsewhere">
		<meta property="og:description" content="Something different. Somewhere else.">
		<meta property="og:image" content="https://cyberpunklibrarian.nohost.me/rfe/images/rfe-social.jpg">

		<!-- Twitter Meta Tags -->
		<meta name="twitter:card" content="summary_large_image">
		<meta property="twitter:domain" content="cyberpunklibrarian.nohost.me">
		<meta property="twitter:url" content="https://cyberpunklibrarian.nohost.me/rfe/">
		<meta name="twitter:title" content="Radio Free Elsewhere">
		<meta name="twitter:description" content="Something different. Somewhere else.">
		<meta name="twitter:image" content="https://cyberpunklibrarian.nohost.me/rfe/images/rfe-social.jpg">
		
		<link rel="stylesheet" href="assets/css/main.css" />

		<style>
		        #now-playing {
		            font-family: Arial, sans-serif;
		            font-size: .7em;
		            padding: 10px;
		            background-color: #46494A;
		            color: #97C9D3;
		            border-radius: 5px;
		            display: inline-block;
		        }
		</style>
	</head>

	<body class="is-preload">

		<!-- Header -->
			<header id="header">
				<div class="inner">
					<a href="#" class="image avatar"><img src="images/avatar-rfe.jpg" alt="Radio Free Elsewhere logo" /></a>
					<h1><strong>Radio Free Elsewhere</strong><br>
					Something different<br>
					Somewhere else</h1>
					
					<hr>

					<p><h3>Now playing</h3>

					<!-- SELECT ICON FOR SHOW -->

					<!-- <span class="image right"><img src="images/cosmo-icon.jpg" alt="" /></span></p> -->
					<!-- <span class="image right"><img src="images/omorains-icon.jpg" alt="" /></span></p> -->
					<!-- <span class="image right"><img src="images/bisexual-icon.jpg" alt="" /></span></p> -->
					
					<audio controls src="https://radio.cyberpunklibrarian.nohost.me/rfe"></audio>
					<br>
					
					<div id="now-playing">Loading current song...</div>

					<script>
						function fetchNowPlaying() {
							fetch('now_playing.php')
							.then(response => response.text())
							.then(data => {
								document.getElementById('now-playing').innerHTML = data;
								})
							.catch(error => {
								document.getElementById('now-playing').innerHTML = "Unable to load song data.";
								console.error('Error fetching song data:', error);
								});
							}			
							// Fetch immediately and then every 15 seconds
							fetchNowPlaying();
							setInterval(fetchNowPlaying, 15000);
					</script>
				</div>
				<p><span style = "color:white;">Add <a href="https://radio.cyberpunklibrarian.nohost.me/rfe">Radio Free Elsewhere</a> to VLC or your favourite audio streaming app.</span></p>
			</header>

		<!-- Main -->
			<div id="main">

				<!-- Upcoming & Schedule -->
				<section id="one">
						<header class="major">
							<h2>Upcoming Schedule</h2>
						</header>
						<!-- O'MORAIN'S PUB --> <!--
						<p><span class="image left"><img src="images/omorains-icon.jpg" alt="" /></span>
						
						<h3>Post Patrick's Day at O'Morain's Pub<br>Tuesday, March 18 @ 7:30pm Central</h3>
						
						Welcome in, friend, and thanks for stopping by O’Morian’s Pub!</p> 

						<p>Sit back, have a pint (or two) and listen in on hand picked, personally curated, and listener requested Celtic folk. We’ve got classic tunes, new favourites, and new takes on old songs from all over the world of Celtic music. From the old world to the new and across the Atlantic from Scotland to Nova Scotia, Ireland to Appalachia, and Brittany to Cape Breton — O’Morain’s Pub has your ticket for fantastic music across the Celtic experience.</p>

						<p>So raise your glass, you’ve found something a little different from the norm. Sláinte!</p> -->

						<!-- COSMOEUPHORIA -->

						<p><span class="image left"><img src="images/cosmo-icon.jpg" alt="" /></span>
						
						<h3>Tangerine Dreams and Spaced Out Things<br>Wednesday, March 19 @ 7:30pm Central</h3>

						Take a trip without leaving your seat.</p>

						<p>Cast your consciousness across the vastness of the cosmos or explore your own inner space. You don’t need anything more than a set of speakers or your headphones. Welcome to the worlds of Cosmoeuphoria, where we’ll cross the galactic divides to visit places beyond imagination. Though the magic of space and ambient music, classics and new tracks from the masters of the genres, you’ll not have to worry about flashbacks or passing a drug test.</p>

						<p>So close your eyes, but maybe open up your third one. Let’s take a journey.</p>

						<!-- BISEXUAL SURFERS FROM THE TWILIGHT OF TIME --> <!--
						
						<p><span class="image left"><img src="images/bisexual-icon.jpg" alt="" /></span>

						<h3>Chupa Chupa Messer Chups<br>Thursday, March 20 @ 7:30pm Central</h3>

						Surf's up, dude!</p>

						<p>They came from the darkness of space and time, beautiful surfers with shiny waxed boards to match their shiny waxed bodies. No one knows what they truly want but, for now, we can take solace in the knowledge that they are here to party... and surf. Falling under their spell, we'll spin surf rock from across the spectrum, horror to rockabilly, instrumental to vocal. We'll shoot the curve through the pipeline and only god knows what we'll find on the other side.</p>

						<p>Beyond the wild waves lies the tempest of spacetime, and they'll take anyone they please.</p> -->
						
						
					</section>

				<!-- About -->
					<section id="two">
						<header class="major">
							<h2>About</h2>
						</header>
						<p>Radio Free Elsewhere goes live a few times per week, usually in the evenings around 7:30pm, Central (UTC-6:00). The typical stream length is two hours or so, but durations can vary. Check us out for eclectic, different sorts of music you won't typically hear out in the world. Celtic folk, ambient and space, and surf rock. How are those genres connected? Well that's the easy part....</p>
						
						<p>We connect them right here.</p>
						
						<p>Follow me on <a href="https://hackers.town/@cyberpunklibrarian">Mastodon</a> or <a href="https://bsky.app/profile/cyberpunklibrarian.bsky.social">Bluesky</a> to know when the stream is going live. I'll try and give as much notice as I can before pushing the button. Goddess willing, maybe I'll get a schedule in place sometime in the next few weeks. In the meantime, tune in when you can, and thanks for being here.</p>
						
							<h3>Shows</h3>
						<p>Currently, we've got three shows that can go live, depending on what we're feeling at the time. Chances are good we'll add a couple more, but for now, you can tune in for:<br>
						<ul>
							<li><strong>O'Morain's Pub</strong> - Celtic folk from both sides of the Atlantic, from the old countries to the new world.</li>
							<li><strong>Cosmoeuhporia</strong>  - Audio psychedelia and musical LSD brought to you from the depths of outer, and inner, space. </li>
							<li><strong>Bisexual Surfers from the Twilight of Time</strong> - At first we feared them, with their glassy eyes, their waxed surf boards, their perfect bodies, and their electric guitars. "Surf's up," they said. And off in the far distance, we heard the screams of pleasure. 
						</ul>
					</section>				

			</div>

		<!-- Footer -->
			<footer id="footer">
				<div class="inner">
					<ul class="icons">
						<li><a href="https://hackers.town/@cyberpunklibrarian" class="icon brands fa-mastodon"><span class="label">Mastodon</span></a></li>
						<li><a href="https://cyberpunklibrarian.nohost.me/gitlab/code/radio-free-elsewhere" class="icon brands fa-gitlab"><span class="label">Github</span></a></li>
					</ul>
					<ul class="copyright">
						<li>&copy; 2025 CC-By-NC-SA Tanglewood Hill Studio</li><li><a href="http://html5up.net">HTML5 UP</a></li>
					</ul>
				</div>
			</footer>

		<!-- Scripts -->
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/jquery.poptrox.min.js"></script>
			<script src="assets/js/browser.min.js"></script>
			<script src="assets/js/breakpoints.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>
			<script>
				if ('addEventListener' in window) {
					document.addEventListener('DOMContentLoaded', function() { document.body.className = document.body.className.replace(/\bis-preload\b/, ''); });
					document.body.className += (navigator.userAgent.match(/(MSIE|rv:11\.0)/) ? ' is-ie' : '');
				}
			</script>

	</body>
</html>